## gupnp-tools 0.10.2

=== meson_options.txt ===
option('av-tools', type: 'boolean', value: 'true', description: 'Built AV tools')
option('uninstalled', type: 'boolean', value: 'false', description: 'Run UPnP tools from src tree')

## gupnp-tools 0.8.4

=== debian/changelog ===
gupnp-tools (0.8.4-1) unstable; urgency=low

  * Update debian/watch for ftp.gnome.org and tar.xz
  * Imported Upstream version 0.8.4
  * Switch to source format 3.0 (quilt)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 Dec 2011 15:11:55 +0100

gupnp-tools (0.8.3-1) experimental; urgency=low

  * Imported Upstream version 0.8.3

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 15 Apr 2011 22:32:35 +0200

gupnp-tools (0.8.2-1) experimental; urgency=low

  * Imported Upstream version 0.8.2
    - Require and adapt to Gtk+ 3.x
  * Build-depend on libgtk-3-dev instead of libgtk2.0-dev
  * Bump debian policy version to 3.9.2

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 11 Apr 2011 19:56:29 +0200

gupnp-tools (0.8.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 07 Feb 2011 10:45:50 +0100

gupnp-tools (0.8.1-1) experimental; urgency=low

  * Imported Upstream version 0.8.1
  * Add myself to uploaders
  * Update debian/watch for new gupnp.org site layout

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 16 Sep 2010 18:18:01 +0200

gupnp-tools (0.8-1) unstable; urgency=low

  * New upstream release

 -- Ross Burton <ross@debian.org>  Thu, 24 Sep 2009 16:23:29 +0100

gupnp-tools (0.7.1-1) unstable; urgency=low

  * New upstream release
  * Add depends on gnome-icon-theme (Closes: #518920)
  * Bump glib depends for gupnp-upload

 -- Ross Burton <ross@debian.org>  Mon, 13 Jul 2009 10:34:17 +0100

gupnp-tools (0.6-1) unstable; urgency=low

  * New upstream release
  * Bump build-deps to ensure new libs are used

 -- Ross Burton <ross@debian.org>  Tue, 17 Jun 2008 10:37:54 +0100

gupnp-tools (0.4-3) unstable; urgency=low

  * Build-depend on gupnp-av
  * Better summary (Closes: #483158)

 -- Ross Burton <ross@debian.org>  Wed, 11 Jun 2008 10:44:26 +0100

gupnp-tools (0.4-2) unstable; urgency=low

  * Really tighten build-deps to ensure that all deps are present (Closes:
    #482160)

 -- Ross Burton <ross@debian.org>  Wed, 21 May 2008 09:41:04 +0100

gupnp-tools (0.4-1) unstable; urgency=low

  * New upstream release (Closes: #481891)
  * Tighten build-dep on gupnp to ensure new ABI gets used
  * Add --as-needed to remove unrequired deps

 -- Ross Burton <ross@debian.org>  Tue, 20 May 2008 08:24:23 +0100

gupnp-tools (0.3-1) unstable; urgency=low

  * New upstream release.
  * Add debian/watch.

 -- Ross Burton <ross@debian.org>  Fri, 09 May 2008 10:40:41 +0100

gupnp-tools (0.2-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Mon, 24 Sep 2007 09:16:47 +0100

gupnp-tools (0.1.2-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Tue, 28 Aug 2007 11:37:10 +0100

gupnp-tools (0.1.1-1) unstable; urgency=low

  * Initial release.

 -- Ross Burton <ross@debian.org>  Sat, 25 Aug 2007 17:09:52 +0100

=== debian/control ===
Source: gupnp-tools
Section: net
Priority: optional
Maintainer: Ross Burton <ross@debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>
Build-Depends: debhelper (>= 5), cdbs,
               libgupnp-1.0-dev (>= 0.13),
               libgupnp-av-1.0-dev (>= 0.5.5),
               uuid-dev,
               libglib2.0-dev (>= 2.16),
               libgtk-3-dev,
               gnome-icon-theme (>= 2.20)
Standards-Version: 3.9.2

Package: gupnp-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gnome-icon-theme
Description: tools for testing UPnP devices and control points
 GUPnP is an object-oriented open source framework for creating UPnP devices
 and control points, written in C using GObject and libsoup. The GUPnP API is
 intended to be easy to use, efficient and flexible.
 .
 GUPnP Tools are free replacements of Intel UPnP tools that use GUPnP. They
 provides the following client and server side tools which enable one to easily
 test and debug one's UPnP devices and control points:
  * Universal Control Point: a tool that enables one to discover UPnP devices
    and services, retrieve information about them, subscribe to events and
    invoke actions.
  * Network Light: a virtual light bulb that allows control points to switch
    it on and off, change its dimming level and query its current status.
  * AV Control Point: a simple media player UI that enables one to discover and
    play multimedia content available on the network.
  * MediaServer upload: upload files to MediaServers
  * Upload: a simple commandline utility that uploads files to known
    MediaServers. Use Universal Control Point for discovering the MediaServers.

=== debian/rules ===
#! /usr/bin/make -f 

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

export LDFLAGS += -Wl,--as-needed

DEB_DH_MAKESHLIBS_ARGS_ALL := -V

## gupnp-tools 0.8.5

=== debian/changelog ===
gupnp-tools (0.8.5-1) unstable; urgency=low

  * Bump to debhelper compatibility level 9
  * Imported Upstream version 0.8.5
  * Bump standards version to 3.9.4
  * debian/rules: add list-missing to spot missed files

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 28 Jan 2013 23:34:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Ross Burton <ross@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
-Build-Depends: debhelper (>= 5), cdbs,
+Build-Depends: debhelper (>= 9), cdbs,
                libgupnp-1.0-dev (>= 0.13),
                libgupnp-av-1.0-dev (>= 0.5.5),
                uuid-dev,
                libglib2.0-dev (>= 2.16),
                libgtk-3-dev,
                gnome-icon-theme (>= 2.20)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 
 Package: gupnp-tools
 Architecture: any

## gupnp-tools 0.8.6.1

=== debian/changelog ===
gupnp-tools (0.8.6.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 18 May 2013 02:26:47 +0200

gupnp-tools (0.8.6.1-1) experimental; urgency=low

  * Imported Upstream version 0.8.6.1
  * Add build-dependency on libxml2-dev (>= 2.0)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 19 Apr 2013 15:58:02 +0200

gupnp-tools (0.8.6-1) experimental; urgency=low

  * Imported Upstream version 0.8.6
  * Bump gssdp to >= 0.13.3 and gupnp to >= 0.18
    - gssdp >= 0.13.3 only available in Debian Experimental currently.
  * Add explicit libsoup2.4-dev build-dependency
  * Add build-dependency on intltool
  * Add GtkSourceView build-dependency

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 22 Mar 2013 12:40:51 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,16 @@
 Maintainer: Ross Burton <ross@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
 Build-Depends: debhelper (>= 9), cdbs,
-               libgupnp-1.0-dev (>= 0.13),
+               intltool (>= 0.40.6),
+               libglib2.0-dev (>= 2.16),
+               libgssdp-1.0-dev (>= 0.13.3),
+               libgupnp-1.0-dev (>= 0.18),
                libgupnp-av-1.0-dev (>= 0.5.5),
+               libsoup2.4-dev (>= 2.4),
+               libxml2-dev (>= 2.0),
                uuid-dev,
-               libglib2.0-dev (>= 2.16),
                libgtk-3-dev,
+               libgtksourceview-3.0-dev (>= 3.2.0),
                gnome-icon-theme (>= 2.20)
 Standards-Version: 3.9.4

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,6 @@
 export LDFLAGS += -Wl,--as-needed
 
 DEB_DH_MAKESHLIBS_ARGS_ALL := -V
+
+common-binary-predeb-arch:: list-missing
+

## gupnp-tools 0.8.7

=== debian/changelog ===
gupnp-tools (0.8.7-1) unstable; urgency=low

  * Imported Upstream version 0.8.7
    - Fix argument order in UPnP calls. (Closes: #519464)
  * use DEB_LDFLAGS_MAINT_APPEND and include buildflags.mk
    - avoids overriding hardening build flags
  * Add build-dependency on autotools-dev
    - this lets CDBS automatically update config.guess/config.sub

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 03 Sep 2013 19:29:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ross Burton <ross@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
-Build-Depends: debhelper (>= 9), cdbs,
+Build-Depends: autotools-dev, debhelper (>= 9), cdbs,
                intltool (>= 0.40.6),
                libglib2.0-dev (>= 2.16),
                libgssdp-1.0-dev (>= 0.13.3),

## gupnp-tools 0.8.8

=== debian/changelog ===
gupnp-tools (0.8.8-1) unstable; urgency=medium

  * Add Homepage and Vcs fields
  * Imported Upstream version 0.8.8

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 17 Jan 2014 20:39:52 +0100

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,9 @@
                libgtksourceview-3.0-dev (>= 3.2.0),
                gnome-icon-theme (>= 2.20)
 Standards-Version: 3.9.4
+Homepage: http://www.gupnp.org
+Vcs-Git: git://git.debian.org/git/collab-maint/gupnp-tools.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/gupnp-tools.git
 
 Package: gupnp-tools
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,8 @@
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
-export LDFLAGS += -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
+include /usr/share/dpkg/buildflags.mk
 
 DEB_DH_MAKESHLIBS_ARGS_ALL := -V

## gupnp-tools 0.8.9

=== debian/changelog ===
gupnp-tools (0.8.9-1) unstable; urgency=medium

  * Imported Upstream version 0.8.9
  * Bump Standards-Version to 3.9.5

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 01 Apr 2014 19:47:36 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libgtk-3-dev,
                libgtksourceview-3.0-dev (>= 3.2.0),
                gnome-icon-theme (>= 2.20)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.gupnp.org
 Vcs-Git: git://git.debian.org/git/collab-maint/gupnp-tools.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gupnp-tools.git

## gupnp-tools 0.8.10

=== debian/changelog ===
gupnp-tools (0.8.10-1) unstable; urgency=medium

  * Imported Upstream version 0.8.10
  * Update build-dependencies according to configure.ac changes:
    - drop gnome-icon-theme
    - bump gtk+ to 3.10

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 21 May 2015 19:06:04 +0200

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,8 @@
                libsoup2.4-dev (>= 2.4),
                libxml2-dev (>= 2.0),
                uuid-dev,
-               libgtk-3-dev,
-               libgtksourceview-3.0-dev (>= 3.2.0),
-               gnome-icon-theme (>= 2.20)
+               libgtk-3-dev (>= 3.10),
+               libgtksourceview-3.0-dev (>= 3.2.0)
 Standards-Version: 3.9.5
 Homepage: http://www.gupnp.org
 Vcs-Git: git://git.debian.org/git/collab-maint/gupnp-tools.git
@@ -22,7 +21,7 @@
 
 Package: gupnp-tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, gnome-icon-theme
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: tools for testing UPnP devices and control points
  GUPnP is an object-oriented open source framework for creating UPnP devices
  and control points, written in C using GObject and libsoup. The GUPnP API is

## gupnp-tools 0.8.11

=== debian/changelog ===
gupnp-tools (0.8.11-2) unstable; urgency=medium

  * debian/copyright: Updated and switched to DEP5 format
  * Hand over maintenance to Debian GNOME Team
    - build-depend on gnome-pkg-tools
    - include uploaders.mk and gnome-get-source.mk in debian/rules
    - copy debian/control to debian/control.in
    - set Maintainer to Debian GNOME Team and Uploaders to autogenerated.
    - update Vcs-* fields for move from collab-maint to pkg-gnome

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 09 Mar 2016 17:43:09 +0100

gupnp-tools (0.8.11-1) unstable; urgency=medium

  * Imported Upstream version 0.8.11
  * Update build-dependencies according to configure.ac changes
    - drop uuid-dev
    - bump gupnp >= 0.20.14

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 01 Dec 2015 19:38:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
+# This file is autogenerated. DO NOT EDIT!
+# 
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
 Source: gupnp-tools
 Section: net
 Priority: optional
-Maintainer: Ross Burton <ross@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
 Build-Depends: autotools-dev, debhelper (>= 9), cdbs,
+               gnome-pkg-tools,
                intltool (>= 0.40.6),
                libglib2.0-dev (>= 2.16),
                libgssdp-1.0-dev (>= 0.13.3),
-               libgupnp-1.0-dev (>= 0.18),
+               libgupnp-1.0-dev (>= 0.20.14),
                libgupnp-av-1.0-dev (>= 0.5.5),
                libsoup2.4-dev (>= 2.4),
                libxml2-dev (>= 2.0),
-               uuid-dev,
                libgtk-3-dev (>= 3.10),
                libgtksourceview-3.0-dev (>= 3.2.0)
 Standards-Version: 3.9.5
 Homepage: http://www.gupnp.org
-Vcs-Git: git://git.debian.org/git/collab-maint/gupnp-tools.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/gupnp-tools.git
+Vcs-Git: git://anonscm.debian.org/pkg-gnome/gupnp-tools.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnome/gupnp-tools.git/
 
 Package: gupnp-tools
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/utils.mk
+include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
+-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 include /usr/share/dpkg/buildflags.mk

## gupnp-tools 0.8.12

=== debian/changelog ===
gupnp-tools (0.8.12-1) unstable; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac changes
  * Bump Standards-Version to 3.9.8

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 07 Jul 2016 17:50:44 +0200

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
 Uploaders: Andreas Henriksson <andreas@fatal.se>
 Build-Depends: autotools-dev, debhelper (>= 9), cdbs,
                gnome-pkg-tools,
-               intltool (>= 0.40.6),
+               gettext (>= 0.19.7),
                libglib2.0-dev (>= 2.16),
                libgssdp-1.0-dev (>= 0.13.3),
                libgupnp-1.0-dev (>= 0.20.14),
                libgupnp-av-1.0-dev (>= 0.5.5),
-               libsoup2.4-dev (>= 2.4),
+               libsoup2.4-dev (>= 2.42),
                libxml2-dev (>= 2.0),
                libgtk-3-dev (>= 3.10),
                libgtksourceview-3.0-dev (>= 3.2.0)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://www.gupnp.org
 Vcs-Git: git://anonscm.debian.org/pkg-gnome/gupnp-tools.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnome/gupnp-tools.git/

## gupnp-tools 0.8.13

=== debian/changelog ===
gupnp-tools (0.8.13-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/*, now part of upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 25 Nov 2016 22:19:22 +0100

gupnp-tools (0.8.12-3) unstable; urgency=medium

  * Remove data/*.desktop.in during clean to force regeneration
    - gupnp-av-cp.desktop.in in tarball is wrong, needs regeneration.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Oct 2016 10:33:49 +0200

gupnp-tools (0.8.12-2) unstable; urgency=medium

  * Add debian/gbp.conf
  * Add debian/patches/Fix-desktop-file-generation.patch (Closes: #836002)
  * Add debian/patches/av-cp-Fix-compiling-when-using-recent-GUPnP-AV.patch
    (Closes: #841625)
  * Convert from cdbs to dh
  * Bump dh compat to 10

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 23 Oct 2016 21:48:20 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
-Build-Depends: autotools-dev, debhelper (>= 9), cdbs,
+Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
                gettext (>= 0.19.7),
                libglib2.0-dev (>= 2.16),

## gupnp-tools 0.8.14

=== debian/changelog ===
gupnp-tools (0.8.14-2) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump Standards-Version to 4.2.1
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Nov 2018 14:20:03 -0500

gupnp-tools (0.8.14-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage and Vcs fields
  * Update debian/watch
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 17 Nov 2017 21:20:14 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gupnp-tools
 Section: net
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>
-Build-Depends: debhelper (>= 10),
+Uploaders: Jeremy Bicha <jbicha@debian.org>
+Build-Depends: debhelper (>= 11),
                gnome-pkg-tools,
                gettext (>= 0.19.7),
                libglib2.0-dev (>= 2.16),
@@ -18,10 +18,10 @@
                libxml2-dev (>= 2.0),
                libgtk-3-dev (>= 3.10),
                libgtksourceview-3.0-dev (>= 3.2.0)
-Standards-Version: 3.9.8
-Homepage: http://www.gupnp.org
-Vcs-Git: git://anonscm.debian.org/pkg-gnome/gupnp-tools.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnome/gupnp-tools.git/
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/gnome-team/gupnp-tools.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gupnp-tools
+Homepage: https://wiki.gnome.org/Projects/GUPnP
 
 Package: gupnp-tools
 Architecture: any

=== debian/rules ===
#! /usr/bin/make -f 

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

## gupnp-tools 0.8.15

=== debian/changelog ===
gupnp-tools (0.8.15-1ubuntu1) eoan; urgency=medium

  * debian/patches/git_gupnp_update.patch:
   - build with new gupnp version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 13 May 2019 15:08:23 +0200

gupnp-tools (0.8.15-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * Build with gtksourceview4 instead of gtksourceview3
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Add debian/docs to install NEWS and README.md
  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 26 Dec 2018 13:55:48 -0500

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,22 @@
 Source: gupnp-tools
 Section: net
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                gnome-pkg-tools,
                gettext (>= 0.19.7),
                libglib2.0-dev (>= 2.16),
-               libgssdp-1.0-dev (>= 0.13.3),
-               libgupnp-1.0-dev (>= 0.20.14),
+               libgssdp-1.2-dev (>= 0.13.3),
+               libgupnp-1.2-dev (>= 0.20.14),
                libgupnp-av-1.0-dev (>= 0.5.5),
                libsoup2.4-dev (>= 2.42),
                libxml2-dev (>= 2.0),
                libgtk-3-dev (>= 3.10),
-               libgtksourceview-3.0-dev (>= 3.2.0)
-Standards-Version: 4.2.1
+               libgtksourceview-4-dev (>= 3.2.0),
+               meson
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/gnome-team/gupnp-tools.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gupnp-tools
 Homepage: https://wiki.gnome.org/Projects/GUPnP

## gupnp-tools 0.10.0

=== debian/changelog ===
gupnp-tools (0.10.0-2build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:03:02 +0000

gupnp-tools (0.10.0-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control.in: Bump Standards-Version to 4.4.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 31 Dec 2019 13:20:48 +0100

gupnp-tools (0.10.0-1) experimental; urgency=medium

  * New upstream release
  * Bump gssdp/gupnp build-dep to 1.2

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Oct 2019 23:32:10 +0200

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,21 @@
 Source: gupnp-tools
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
                gnome-pkg-tools,
                gettext (>= 0.19.7),
                libglib2.0-dev (>= 2.16),
-               libgssdp-1.2-dev (>= 0.13.3),
-               libgupnp-1.2-dev (>= 0.20.14),
+               libgssdp-1.2-dev,
+               libgupnp-1.2-dev,
                libgupnp-av-1.0-dev (>= 0.5.5),
                libsoup2.4-dev (>= 2.42),
                libxml2-dev (>= 2.0),
                libgtk-3-dev (>= 3.10),
                libgtksourceview-4-dev (>= 3.2.0),
                meson
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/gnome-team/gupnp-tools.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gupnp-tools
 Homepage: https://wiki.gnome.org/Projects/GUPnP

## gupnp-tools 0.10.2

=== debian/changelog ===
gupnp-tools (0.10.2-1build1) jammy; urgency=medium

  * No-change rebuild against latest gupnp libraries

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 31 Jan 2022 20:56:54 -0500

gupnp-tools (0.10.2-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 21 Nov 2021 13:50:15 -0500

gupnp-tools (0.10.1-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick 2 patches to fix format-security issue
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * debian/rules: Drop unneded -Wl,--as-needed
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 23 Sep 2021 06:47:02 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               gnome-pkg-tools,
+               dh-sequence-gnome,
                gettext (>= 0.19.7),
                libglib2.0-dev (>= 2.16),
                libgssdp-1.2-dev,
@@ -19,7 +19,7 @@
                libgtk-3-dev (>= 3.10),
                libgtksourceview-4-dev (>= 3.2.0),
                meson
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/gnome-team/gupnp-tools.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gupnp-tools
 Homepage: https://wiki.gnome.org/Projects/GUPnP

## gupnp-tools 0.10.3

=== debian/changelog ===
gupnp-tools (0.10.3-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Set Rules-Requires-Root: no

  [ Debian Janitor ]
  * Bump debhelper-compat from 12 to 13
  * Add debian/upstream/metadata

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 20 May 2022 13:10:34 -0400

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: net
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gettext (>= 0.19.7),
                libglib2.0-dev (>= 2.16),
@@ -20,6 +20,7 @@
                libgtksourceview-4-dev (>= 3.2.0),
                meson
 Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gnome-team/gupnp-tools.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gupnp-tools
 Homepage: https://wiki.gnome.org/Projects/GUPnP

## gupnp-tools 0.12.0

=== debian/changelog ===
gupnp-tools (0.12.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (See #1022003)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 30 Oct 2022 15:06:57 +0100

gupnp-tools (0.12.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
  * Bump build-deps GLib 2.68, GUPnP 1.6, Libsoup 3.0

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 18 Oct 2022 20:41:11 +0200

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gettext (>= 0.19.7),
-               libglib2.0-dev (>= 2.16),
-               libgssdp-1.2-dev,
-               libgupnp-1.2-dev,
+               libglib2.0-dev (>= 2.68),
+               libgssdp-1.6-dev,
+               libgupnp-1.6-dev,
                libgupnp-av-1.0-dev (>= 0.5.5),
-               libsoup2.4-dev (>= 2.42),
+               libsoup-3.0-dev,
                libxml2-dev (>= 2.0),
                libgtk-3-dev (>= 3.10),
                libgtksourceview-4-dev (>= 3.2.0),

## gupnp-tools 0.12.1

=== debian/changelog ===
gupnp-tools (0.12.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:52:54 +1100

gupnp-tools (0.12.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:58:38 +0000

gupnp-tools (0.12.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1040753, #1042256)
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Aug 2023 17:30:02 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gupnp-tools
 Section: net
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gettext (>= 0.19.7),
@@ -19,7 +20,7 @@
                libgtk-3-dev (>= 3.10),
                libgtksourceview-4-dev (>= 3.2.0),
                meson
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gnome-team/gupnp-tools.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gupnp-tools

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

## gupnp-tools 0.12.2

=== debian/changelog ===
gupnp-tools (0.12.2-1) unstable; urgency=medium

  * New upstream release
  * Remove all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 11:55:52 -0400

gupnp-tools (0.12.1-2) unstable; urgency=medium

  * Stop using debian/control.in and dh-sequence-gnome
  * Cherry-pick 2 patches to fix build with latest libxml2 (Closes: #1073337)
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 16 Jun 2024 10:19:44 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,9 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gupnp-tools
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-gnome,
-               gettext (>= 0.19.7),
                libglib2.0-dev (>= 2.68),
                libgssdp-1.6-dev,
                libgupnp-1.6-dev,
@@ -20,7 +13,7 @@
                libgtk-3-dev (>= 3.10),
                libgtksourceview-4-dev (>= 3.2.0),
                meson
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gnome-team/gupnp-tools.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gupnp-tools
